## trapperkeeper-status-clojure 0.7.1

=== debian/changelog ===
trapperkeeper-status-clojure (0.7.1-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS by running tests in a specific order. Instead of blindly
    sorting the results of the find command and trusting it to be right,
    encode a suitable sequence of tests (Closes: #880351). Also make sure
    to error out when tests are added or removed, to make sure this
    sequence get refreshed when needed.
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 07 Feb 2019 12:40:59 +0100

trapperkeeper-status-clojure (0.7.1-1) unstable; urgency=medium

  * Initial release (Closes: #855744)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Aug 2017 18:05:17 -0400
