=== debian/watch ===
version=4
opts=filenamemangle=s!.*/archive/(.*)!trapperkeeper-status-$1! \
 https://github.com/puppetlabs/trapperkeeper-status/releases	.*/archive/([\d.]+)\.tar\.gz
