## trapperkeeper-status-clojure 1.1.1

=== debian/changelog ===
trapperkeeper-status-clojure (1.1.1-4) unstable; urgency=medium

  * d/watch: fix URL and pattern
  * d/control: bump Breaks: on puppetserver

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 11 Feb 2023 13:17:49 -0500

trapperkeeper-status-clojure (1.1.1-3) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * d/control: New email for the Clojure Team.

  [ Jérôme Charaoui ]
  * add d/gbp.conf with clojure-team defaults
  * d/control:
    + add myself to Uploaders
    + use headless jdk in build-deps
    + rework test-only build-deps
    + bump Standards-Version, no changes needed
    - drop redundant unversioned binary depends
  * d/patches:
    + add missing DEP-3 Forwarded headers
    + switch clojure dependency to 1.x
    - drop dependency version overrides (Closes: #1030417)
  * d/rules: honor nocheck in build options
  * d/tests: add autopkgtests
  * fixes for javahelper classpath

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 07 Feb 2023 14:12:53 -0500

trapperkeeper-status-clojure (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild using lein. (Closes: #982527)
  * d/control: use dh 13.
  * d/control: Standards-Version update to 4.5.1. Add Rules-Requires-Root.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 13 Feb 2021 23:34:44 -0500

trapperkeeper-status-clojure (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * debian/rules: add code to manage upstream tags.
  * New upstream release.
  * Move the package to the Clojure team:
    - Fixed VCS URLs.
    - Fixed Maintainer field.
  * Use debhelper-compat.
  * Ran wrap-and-sort -bastk.
  * debian/control: remove versions when satisfied in Stable.
  * Standards-Version: 4.5.0.
  * Add removed-clean-orphaned-bundles.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Nov 2020 16:33:02 +0100
