=== debian/control ===
Source: trapperkeeper-status-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk-headless,
 javahelper,
 leiningen,
 libcheshire-clojure (>= 5.11.0-2),
 libclojure-java (>= 1.11.1-2),
 libcomidi-clojure,
 libjava-jmx-clojure,
 libkitchensink-clojure (>= 3.2.1),
 libprismatic-schema-clojure,
 libpuppetlabs-http-client-clojure (>= 2.0.1-4) <!nocheck>,
 libpuppetlabs-i18n-clojure (>= 0.9.2-2),
 libpuppetlabs-ring-middleware-clojure (>= 1.3.1-3),
 libring-defaults-clojure,
 libslingshot-clojure,
 libtools-logging-clojure,
 libtrapperkeeper-authorization-clojure (>= 1.0.0-3),
 libtrapperkeeper-clojure (>= 3.2.0-2),
 libtrapperkeeper-scheduler-clojure (>= 1.1.3-7),
 libtrapperkeeper-webserver-jetty9-clojure (>= 4.4.1-4) <!nocheck>,
 libversioneer-clojure,
 maven-repo-helper,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/clojure-team/trapperkeeper-status-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/trapperkeeper-status-clojure
Homepage: https://github.com/puppetlabs/trapperkeeper-status
Rules-Requires-Root: no

Package: libtrapperkeeper-status-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
Breaks:
 puppetserver (<= 7.9.4-2)
Recommends:
 ${java:Recommends},
Description: status monitoring for trapperkeeper services
 The Trapperkeeper Status Service is a Trapperkeeper service that provides a
 web endpoint for getting status information for a Trapperkeeper-based
 application.
 .
 Other Trapperkeeper services may register a status callback function with
 the Status Service, returning any kind of status information that is relevant
 to the consuming service. The Status Service will make this information
 available via HTTP, in a consistent, consolidated format. This makes it
 possible for users to automate monitoring and other tasks around the system.
